> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Print Charge Receipt

> Print charge or refund receipt from an All-in-One terminal



## OpenAPI

````yaml post /v1/charges/{charge_id}/receipt/print
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/charges/{charge_id}/receipt/print:
    post:
      summary: Print Receipt
      description: >-
        Print out charge and refund receipts. Applicable for Singapore merchants
        who use an All-in-One Terminal only.
      operationId: print-charge-receipt
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: charge_id
          in: path
          description: The charge_id belongs to the business.
          schema:
            type: string
          required: true
          example: 9f12c35b-ae2a-4a6f-8853-6f1f00830bd7
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - terminal_id
              properties:
                terminal_id:
                  type: string
                  description: The terminal id belongs to the business.
                  example: S1F2-000158240536593
      responses:
        '204':
          description: '204'
          content:
            application/json:
              examples:
                Result:
                  value: 1
              schema: {}
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: The given data was invalid. Terminal not found
                    errors:
                      terminal_id:
                        - Terminal not found
              schema: {}
      deprecated: false

````